/*****Chapter 4 and Chapter 6 using dyad level data*****/
/*use dyad_data.dta*/

/*Chapter 4 models*/
 
/*Table 4.4 Model 1*/
logit init jointdem cont caprat2 sglo alliance peaceyears peace2 peace3, cluster(ddyad) robust
fitstat

/*Table 4.4 Model 2*/
logit init jointdem cont caprat2 sglo compel uncond cond probdet peaceyears peace2 peace3, cluster(ddyad) robust 
fitstat

/*Table 4.5 Model 3*/
logit init jointdem cont caprat2 sglo compel uncond uncondrevA cond condrevA probdet probrevA revstateA peaceyears peace2 peace3, cluster(ddyad) robust 
prchange, x(jointdem=0 cont=0 compel=0 uncond=0 uncondrevA=0 cond=0 condrevA=0 probdet=0 probrevA=0 revstateA=0) rest(mean)
fitstat

/*Table 4.6 Model 4*/
logit init jointdem cont caprat2 sglo compel uncondmaj ucmajrevA condmaj cmajrevA probdet probrevA revstateA peaceyears peace2 peace3, cluster(ddyad) robust 
prchange, x(jointdem=0 cont=0 compel=0 uncondmaj=0 ucmajrevA=0 condmaj=0 cmajrevA=0 probdet=0 probrevA=0 revstateA=0) rest(mean)
fitstat



/*Chapter 6 model*/
/*Tables 6.3 and 6.4*/

mlogit commitment protcap ord_cont, cluster(ddyad) robust base(1)
mlogit commitment protcap ord_cont , cluster(ddyad) robust base(4)
prchange, x(protcap=mean ord_cont=mean) outcome(0)
prchange, x(protcap=mean ord_cont=mean) outcome(1)
prchange, x(protcap=mean ord_cont=mean) outcome(2)
prchange, x(protcap=mean ord_cont=mean) outcome(3)
prchange, x(protcap=mean ord_cont=mean) outcome(4)

fitstat



